# Type Alias ListResourceData

ListResourceData: {
page?: number;
perPage?: number;
resourceType?: string;
resourceTypeExclude?: string;
workspace: string;
}

#### Type declaration

- ##### `Optional` page?: number

  which page to return (start at 1, default 1)

- ##### `Optional` perPage?: number

  number of items to return for a given page (default 30, max 100)

- ##### `Optional` resourceType?: string

  resource_types to list from, separated by ',',

- ##### `Optional` resourceTypeExclude?: string

  resource_types to not list from, separated by ',',

- ##### workspace: string

- Defined in src/types.gen.ts:2306